Bug 203499 - X server crashing on using gnash flash plugin
X server crashing on using gnash flash plugin
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-21 23:10 EDT by Deji Akingunola
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-30 11:02:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2006-08-21 23:10:56 EDT
Description of problem:
I've been testing out the gnash flash plugin; while browsing some sites
containing flash (esp. anandtech.com, in my case), the x-server would just
crash. Two different (but quite similar) backtrace from gdm logs are posted below.

>>>
X Window System Version 7.1.1
Release Date: 12 May 2006
X Protocol Version 11, Revision 0, Release 7.1.1
Build Operating System: Linux 2.6.9-34.ELsmp x86_64 Red Hat, Inc.
Current Operating System: Linux agape 2.6.17-1.2573.fc6 #1 SMP Fri Aug 18
13:23:39 EDT 2006 x86_64
Build Date: 18 August 2006
Build ID: xorg-x11-server 1.1.1-24.fc6 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon Aug 21 00:31:55 2006
(==) Using config file: "/etc/X11/xorg.conf"
(EE) AIGLX: Screen 0 is not DRI capable
ProcXCloseDevice to close or not ?

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x71) [0x495eb1]
1: /lib64/libc.so.6 [0x2aaaab399260]
2:
/usr/lib64/xorg/modules/extensions/libGLcore.so(_mesa_update_draw_buffer_bounds+0)
[0x2aaab723ede0]
3: /usr/lib64/xorg/modules/extensions/libGLcore.so [0x2aaab731734d]
4: /usr/lib64/xorg/modules/extensions/libglx.so [0x2aaaabfb1cab]
5: /usr/bin/Xorg(compPositionWindow+0x62) [0x54de32]
6: /usr/bin/Xorg(ResizeChildrenWinSize+0x17b) [0x43848b]
7: /usr/bin/Xorg(ReparentWindow+0x1df) [0x43871f]
8: /usr/bin/Xorg(ProcReparentWindow+0xbc) [0x4496bc]
9: /usr/bin/Xorg(Dispatch+0x1ca) [0x449c3a]
10: /usr/bin/Xorg(main+0x455) [0x432575]
11: /lib64/libc.so.6(__libc_start_main+0xf4) [0x2aaaab386aa4]
12: /usr/bin/Xorg [0x431869]

Fatal server error:
Caught signal 11.  Server aborting
<<<<

and this too,

>>> 
X Window System Version 7.1.1
Release Date: 12 May 2006
X Protocol Version 11, Revision 0, Release 7.1.1
Build Operating System: Linux 2.6.9-34.ELsmp x86_64 Red Hat, Inc.
Current Operating System: Linux agape 2.6.17-1.2564.fc6 #1 SMP Mon Aug 14
01:17:59 EDT 2006 x86_64
Build Date: 10 August 2006
Build ID: xorg-x11-server 1.1.1-20.fc6 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Aug 15 08:28:30 2006
(==) Using config file: "/etc/X11/xorg.conf"
(EE) AIGLX: Screen 0 is not DRI capable
ProcXCloseDevice to close or not ?

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x71) [0x4a09c1]
1: /lib64/libc.so.6 [0x39b8a33260]
2:
/usr/lib64/xorg/modules/extensions/libGLcore.so(_mesa_update_draw_buffer_bounds+0)
[0x2aaab6606540]
3: /usr/lib64/xorg/modules/extensions/libGLcore.so [0x2aaab6764f3d]
4: /usr/lib64/xorg/modules/extensions/libglx.so [0x2aaaab3d5cab]
5: /usr/bin/Xorg(compPositionWindow+0x62) [0x54dd92]
6: /usr/bin/Xorg(ResizeChildrenWinSize+0x1ce) [0x4384de]
7: /usr/bin/Xorg(miMoveWindow+0x11a) [0x4dd5fa]
8: /usr/bin/Xorg(compMoveWindow+0xab) [0x54ecfb]
9: /usr/bin/Xorg(ConfigureWindow+0x776) [0x437b96]
10: /usr/bin/Xorg(ProcConfigureWindow+0x96) [0x4494b6]
11: /usr/bin/Xorg(Dispatch+0x1ca) [0x449c3a]
12: /usr/bin/Xorg(main+0x455) [0x432575]
13: /lib64/libc.so.6(__libc_start_main+0xf4) [0x39b8a20aa4]
14: /usr/bin/Xorg [0x431869]

Fatal server error:
Caught signal 11.  Server aborting
<<<<
Version-Release number of selected component (if applicable):


How reproducible: often


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Deji Akingunola 2007-01-30 11:02:50 EST
OK, there was no response to this, and I'm not seeing this anymore (or rather
that I'm not using gnash anymore)

Note You need to log in before you can comment on or make changes to this bug.